<?php

declare(strict_types=1);

namespace Dedi\SyliusSettingsPlugin\Cache;

use MonsieurBiz\SyliusSettingsPlugin\CacheWarmer\SettingsCacheWarmer as MonsieurBizSettingsCacheWarmer;
use MonsieurBiz\SyliusSettingsPlugin\CacheWarmer\SettingsCacheWarmerInterface;

class SettingsCacheWarmer implements SettingsCacheWarmerInterface
{
    public function __construct(
        private readonly MonsieurBizSettingsCacheWarmer $decorated,
    ) {
    }

    public function isOptional(): bool
    {
        return true;
    }

    /**
     * @SuppressWarnings(PHPMD.UnusedFormalParameters)
     * @SuppressWarnings(PHPMD.CyclomaticComplexity)
     */
    public function warmUp(string $cacheDir): array
    {
        return $this->decorated->warmUp($cacheDir);
    }
}
